# Copyright 2022 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).


from odoo import http
from odoo.http import request


class AccountInvoiceAllocationController(http.Controller):
    @http.route("/account/allocation", type="json", auth="user")
    def plan(self, domain):
        """
        Get the HTML of the account invoice for invoice allocation the given domain
        :param domain: a domain for account.invoice
        """
        invoice_ids = request.env["account.invoice"].search(
            domain, order="date_invoice"
        )
        partner_ids = request.env["hr.employee"].search([]).mapped("user_id").mapped("partner_id")
        view = request.env.ref("legicoop_account.invoice_allocation")
        return {
            "html_content": view.render(
                {
                    "invoice_ids": invoice_ids,
                    "partner_ids": partner_ids,
                }
            ),
            "invoice_ids": invoice_ids.ids,
        }
